<template>
  <footer class="footer">
    <p>The source code is licensed under the GPL v3 licence</p>
    <p>©️ {{ currentYear }} Fabian Schmidt</p>
  </footer>
</template>

<script setup lang="ts">
const currentYear = new Date().getFullYear();
</script>

<style lang="scss" scoped>
@import "assets/styles/_variables.scss";
.footer {
  font-family: "Sequel-45";
  color: $secondary-color;
  font-size: 0.7rem;

  text-align: center;
  position: absolute;
  left: 0;
  right: 0;
  margin: auto;
  bottom: 0;

  @media screen and (max-width: $small-screen-width) {
    font-size: 0.5rem;
  }
}
</style>
